defmodule Nulla.Repo.Migrations.CreateFollows do
  use Ecto.Migration

  def change do
    create table(:follows, primary_key: false) do
      add :id, :bigint, primary_key: true
      add :follower_id, references(:actors, on_delete: :delete_all), null: false
      add :following_id, references(:actors, on_delete: :delete_all), null: false

      timestamps()
    end

    create unique_index(:follows, [:follower_id, :following_id])
    create index(:follows, [:following_id])
  end
end
